/* Analyizing the data */
use dyadic_data.dta, clear

 sum dyad_adopt_i proportion contig dif_prof same_leg dif_white dif_inc log_dif_pop ///
dif_urb same_censusreg same_elazar3

* Contiguity Models
/// proportion similarity
label variable proportion "Perceived Similarity"
melogit dyad_adopt_i proportion contig dif_prof same_leg dif_white dif_inc log_dif_pop ///
dif_urb same_censusreg same_elazar3 i.year i.policyno || state_i: ||state_j:
estimates save prop_contig.ster, replace
estimates store m1


margins, at(proportion=(0(.05).3)) predict(mu fixed)
marginsplot, name(proportion3, replace) xscale(range(0 .3))  title("Probability of a Adoption") scheme(s1mono) recastci(rarea)  ///
addplot(hist proportion if proportion<=.3, percent yaxis(2) xscale(range(0 .3)) yscale(alt axis(2) range(0 75)) legend(off)) 
graph export "prob_sim.pdf", as(pdf) replace

melogit dyad_adopt_i proportion dif_prof same_leg dif_white dif_inc log_dif_pop ///
dif_urb same_censusreg same_elazar3 i.year i.policyno || state_i: ||state_j:
estimates save models/prop_contig.ster, replace
estimates store m2

melogit dyad_adopt_i contig dif_prof same_leg dif_white dif_inc log_dif_pop ///
dif_urb same_censusreg same_elazar3 i.year i.policyno || state_i: ||state_j:
estimates save models/prop_contig.ster, replace
estimates store m3

esttab m1 m2 m3 using contig.tex, b(3) order(proportion contig) compress drop(*.year *.policyno) se label replace ///
	cells(b(fmt(4) star) se(par)) starlevels(* .1 ** .05 *** .01) bic aic /// 
	rename(_cons constant)  mlabels(none) varwidth(30) collabels(, none) eqlabels(, none)
	
